Loading...
Searching...
No Matches
curved_ball_H< T >

## Detailed Description

template<class T>
class rheolef::curved_ball_H< T >

Definition at line 351 of file geo_element_curved_ball.h.

## Public Member Functions

| curved_ball_H (const point_basic< T > &a0, const point_basic< T > &b0, const point_basic< T > &c0, const point_basic< T > &d0, const point_basic< T > &e0, const point_basic< T > &f0, const point_basic< T > &g0, const point_basic< T > &h0, const point_basic< T > &center0=point_basic< T >(0, 0), const T &radius0=1)
point_basic< T > | operator() (const point_basic< T > &z) const

## Protected Attributes

point_basic< T > | a
point_basic< T > | b
point_basic< T > | c
point_basic< T > | d
point_basic< T > | e
point_basic< T > | f
point_basic< T > | g
point_basic< T > | h
point_basic< T > | center
T | radius

## Constructor & Destructor Documentation

## curved_ball_H()

template<class T >

curved_ball_H | ( | const point_basic< T > & | a0,
|  | const point_basic< T > & | b0,
|  | const point_basic< T > & | c0,
|  | const point_basic< T > & | d0,
|  | const point_basic< T > & | e0,
|  | const point_basic< T > & | f0,
|  | const point_basic< T > & | g0,
|  | const point_basic< T > & | h0,
|  | const point_basic< T > & | center0 = `point_basic<T>(0,0)`,
|  | const T & | radius0 = `1`
| ) |  |

Definition at line 354 of file geo_element_curved_ball.h.

## Member Function Documentation

## operator()()

template<class T >

point_basic< T > operator() | ( | const point_basic< T > & | z | ) | const

Definition at line 359 of file geo_element_curved_ball.h.

## Member Data Documentation

## a

template<class T >

point_basic<T> a

protected

Definition at line 378 of file geo_element_curved_ball.h.

## b

template<class T >

point_basic<T> b

protected

Definition at line 378 of file geo_element_curved_ball.h.

## c

template<class T >

point_basic<T> c

protected

Definition at line 378 of file geo_element_curved_ball.h.

## d

template<class T >

point_basic<T> d

protected

Definition at line 378 of file geo_element_curved_ball.h.

## e

template<class T >

point_basic<T> e

protected

Definition at line 378 of file geo_element_curved_ball.h.

## f

template<class T >

point_basic<T> f

protected

Definition at line 378 of file geo_element_curved_ball.h.

## g

template<class T >

point_basic<T> g

protected

Definition at line 378 of file geo_element_curved_ball.h.

## h

template<class T >

point_basic<T> h

protected

Definition at line 378 of file geo_element_curved_ball.h.

## center

template<class T >

point_basic<T> center

protected

Definition at line 378 of file geo_element_curved_ball.h.

## radius

template<class T >

T radius

protected

Definition at line 379 of file geo_element_curved_ball.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/geo_element_curved_ball.h